[package]
name = "frontend"
version = "0.1.0"
edition = "2021"

[lib]
crate-type = ["cdylib"]

[dependencies]
wasm-bindgen = "0.2"
js-sys = "0.3"
frontend_protocol = { path = "../frontend_protocol" }

[dependencies.web-sys]
version = "0.3"
features = [
    "Window",
    "Document",
    "Element",
    "Event",
    "EventTarget",
    "HtmlElement",
    "HtmlTextAreaElement",
    "KeyboardEvent",
    "MouseEvent",
    "WheelEvent",
    "Location",
    "WebSocket",
    "BinaryType",
    "MessageEvent",
    "ErrorEvent",
    "console",
    "HtmlCanvasElement",
    "CanvasRenderingContext2d",
    "Performance",
]
